package org.eclipse.mylar.zest.layouts.algorithms;

import java.awt.Dimension;

import org.eclipse.mylar.zest.layouts.dataStructures.InternalNode;
import org.eclipse.mylar.zest.layouts.dataStructures.InternalRelationship;

import edu.uci.ics.jung.visualization.FRLayout;

public class JungFRLayout extends AbstractJungLayout {

	

	public JungFRLayout(int styles) {
		super(styles);
	}

	protected void applyLayoutInternal(InternalNode[] entitiesToLayout,
			InternalRelationship[] relationshipsToConsider, double boundsX,
			double boundsY, double boundsWidth, double boundsHeight) {
		layout = new FRLayout(graph);
		layout.initialize(new Dimension((int)boundsWidth, (int)boundsHeight));
		FRLayout frLayout = (FRLayout)layout;
		frLayout.setMaxIterations(200);
		frLayout.setAttractionMultiplier(10);
		frLayout.setRepulsionMultiplier(0.5);
		while ( frLayout.incrementsAreDone() == false ) {
			frLayout.advancePositions();
		}
	}

}
